<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>
 
</head>


<BODY onLoad="parametros.cliente.focus();">
<?php

include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

date_default_timezone_set('America/Bogota');
include "../parametros.php";
include "../conexion.php";
$id="";$nombre="";$estado="";$descripcion="";
$preciounitario="";$precioventa="";$productofamilia="";$marca="";$iva="";$codigobarra="";
	$cliente="";
  $empresa=$_REQUEST["empresa"];  							  
if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$cliente=$_REQUEST["cliente"];   		
}


?>
<form name="parametros" method="post" action="" >
  <div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-primary">
      <div class="panel-heading" align="left">   VENTA DIARIAS</div>
<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
                    
                    <tr> 
                      <td height="1" colspan="7">
                      <div align="left">
                      <?php
					  				   
						  $sumatotal=0;
							echo "<center> <table width='100%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr ><td colspan='12' class='btn-primary' align='center'>DETALLE DE VENTA</td></tr>";
							echo "<tr>";
							echo "<td class='btn-primary' align='center'>Nombre</td>";
							echo "<td class='btn-primary' align='center'>Cantidad</td>";
							echo "<td class='btn-primary' align='center'>Precio</td>";
							echo "<td class='btn-primary' align='center'>Total</td>";		
							echo "<td class='btn-primary' width='10%' align='center'>Fecha</td>";							
							echo "<td class='btn-primary' align='center'>No Factura</td>";		
							echo "<td class='btn-primary' align='center'>Tipo Pago</td>";	
							echo "<td class='btn-primary' align='center'>Cliente</td>";
							echo "<td class='btn-primary' align='center'>Vendedor</td>";							
							echo "<td class='btn-primary'></td>";							
							echo "</tr>";
					   
					   		if($cliente<>""){$sqlcliente="and cliente='".$cliente."'";}else  {$sqlcliente="";}
							if($id<>""){$sqlfactura="and producto='".$id."'";}else  {$sqlfactura="";}
							
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,
							 								estado,fecha ,hora,factura,cliente ,tipopago,estado,empresa
							 						from venta
													 where fecha='".$fecsis."' and empresa='".$empresa."'
													 order by factura desc");
								$c=1;	$sumaiva=0; $sumag=0;	$sumaI=0;			 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									$cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$estado=$datos[6];
									$fecha=$datos[7];
									$hora=$datos[8];
									$factura=$datos[9];
									$cliente=$datos[10];
									$tipopago=$datos[11];
									$empresa=$datos[13];
									
									$npago="";
									 if($tipopago=='EF')
									   {$npago="Efectivo";
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
									   }
									
									$sql_datosre=mysqli_query($conexion,"SELECT iva from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0];}
									 
									if($cliente>0)
									  {	$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from cliente where id='".$cliente."'");
										while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0];}
										if($contar>=1)
										{
											$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,documento from cliente where id='".$cliente."'");
											while($datosrs= mysqli_fetch_row($sql_contar)){ $nombrec=$datosrs[0];}
										}
									  }	
									 else {$nombrec="";} 
									
									
									
									if($c%2==0){$color="#EAEAEA";}
								    else {$color="#BFBFBF";}															
									$paqueteunidad="";
									 $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro)){ $nproducto=$datosrs[0]; $descripcion=$datosrs[1]; $paqueteunidad=$datosrs[2];}
									  
									 $totalitem=$cantidad*$precio;
									 if($iva>0){$totaliva=($totalitem*$iva)/100;}
									 else {$totaliva=0;}
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 include "../seguridad.php";
									   $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$usuario."'");
									   while($datosrs= mysqli_fetch_row($sql_datosuser)){ $cajero=$datosrs[0]." ".$datosrs[1];}
									 include "../conexion.php";
									 
									 echo "<tr bgcolor=$color class='textoprefac'>
											  <td>$producto<br>$nproducto</td>
											  <td><div align='right'>$cantidad</div></td>
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>		
											  <td><div align='right'>$fecha <br> $hora</div></td>		
											  <td><div align='right'>$factura</div></td>	
											  <td><div align='right'>$npago</div></td>
											  <td><div align='right'>$nombrec</div></td>
											  <td><div align='right'>$cajero</div></td>
											  <td>";
											  ?> 
                                              <img src="../imagenes/imprimir.png" width="50" height="50" alt="Clic para Imprimir"
                                              onClick="javascript:window.open('imprimepos.php?id=<?php echo $factura; ?>&empresa=<?php echo $empresa; ?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=700');"/>
											  <?php
                                              echo "</td>											 										 
											</tr>";
											$c=$c+1;
											
											if($estado<>'I')
											  {$sumag=$sumag+$totalitem;
											   $sumaiva=$sumaiva+$totaliva;
											  }
											
											if($estado=='I')
											    {$sumaI=$sumaI+$totalitem;}
										//$sumatotal=$sumatotal+$totalitem;	
											
								  }	//04
								  $neto=$sumag+$sumaiva;
								  
								  
								  echo "<tr  class='textoprefac'>
											  <td colspan='3' align='right'>TOTAL VENTA DIA </td>
    											  <td><div align='right'>".number_format($neto,0)."</div></td>											  
    											  <td colspan='6'></td>		
                                              </td>
                                   <tr  class='textoprefac'>
											  <td colspan='3'align='right'>TOTAL ANULADAS </td>
    											  <td><div align='right'>".number_format($sumaI,0)."</div></td>											  
    											  <td colspan='6'></td>		
                                              </td>              
											</tr>";		
											
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						
                             				
						  
		$sqlfecha=" and fecha between '".$fecsis."' and '".$fecsis."'";

		  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from venta
									where id>=0
									$sqlfecha");
		   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
		  if($contar>=1)
		  {
			 echo "<center> <table width='80%' border='1' bordercolor='#CCCCCC' cellpadding='0' cellspacing='0' class='table table-hover'>";
						echo "<tr>";
						echo "<td class='btn-primary' >LINEA</td>";
						echo "<td class='btn-primary'>GRUPO</td>";
						echo "<td class='btn-primary'>PRECIO COMPRA</td>";						
						echo "<td class='btn-primary'>PRECIO VENTA</td>";
						echo "</tr>";
			  
			     $sql_datospf=mysqli_query($conexion,"SELECT count(*) as contar,linea,grupo from venta,producto
										where venta.id>=0
									    $sqlfecha
										and venta.producto=producto.id
										group by linea,grupo
										order by linea asc");
				$c=1;$sumag=0;$sumapu=0;$sumaput=0;$sumaI=0;$sumaef=0;$sumacr=0;
				 while($datospf= mysqli_fetch_row($sql_datospf))//01
					{
					  $linea=$datospf[1];  $grupo=$datospf[2];
					   $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
					  
					  $sql_datos=mysqli_query($conexion,"SELECT venta.id,fecha,cantidad,precio,total,factura,venta.producto,venta.estado,venta.tipopago,
					  									venta.efectivo,venta.credito,venta.cliente,venta.iva
					  							 from venta,producto
												where venta.id>=0
												$sqlfecha
												and venta.producto=producto.id
												and producto.linea='".$linea."'
												and producto.grupo='".$grupo."'
												order by fecha asc, id desc");
						$sumat=0;$sumaefectivo=0; $sumacredito=0;
						 while($datos= mysqli_fetch_row($sql_datos))//04
							{
								 $id=$datos[0];
								 $fecha=$datos[1];
								 $cantidad=$datos[2];
								 $precio=$datos[3];
								 $total=$datos[4];
								 $factura=$datos[5];
								 $producto=$datos[6];
								 $estadov=$datos[7];
								 $tipopago=$datos[8];	
								 $efectivo=$datos[9];	
								 $credito=$datos[10];
								 $cliente=$datos[11];	
								 $iva=$datos[12];	
								 
								 $sql_datosrs=mysqli_query($conexion,"SELECT nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
															codigobarra,estado,ubicacion,linea,grupo from producto
															where id='".$producto."'");
								  while($datosrs= mysqli_fetch_row($sql_datosrs))//04
							      {
									 $nombre=$datosrs[0];
									 $descripcion=$datosrs[1];
									 $preciounitario=$datosrs[2];
									 $precioventa=$datosrs[3];
									 $productofamilia=$datosrs[4];
									 $marca=$datosrs[5];
									 //$iva=$datosrs[6];
									 $codigobarra=$datosrs[7];
									 $estado=$datosrs[8];
									 $ubicacion=$datosrs[9];
									 $linea=$datosrs[10];
									 $grupo=$datosrs[11];
									 $ventapro=$cantidad*$preciounitario;	
									 							 
								  }
								 
								 $ncliente="";
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM cliente where id='".$cliente."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ncliente=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM linea where id='".$linea."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $nlinea=$datosrs[1];}
								 
								 $rs_producto_familia=mysqli_query($conexion,"SELECT id,nombre FROM grupo where id='".$grupo."'");
								 while($datosrs= mysqli_fetch_row($rs_producto_familia)){ $ngrupo=$datosrs[1];}
								 
								 
								 if($c%2==0){$color="#EAEAEA";}
								 else {$color="#BFBFBF";}
								 
								
									 $sumaefectivo=$sumaefectivo+$efectivo;
									 $sumacredito=$sumacredito+$credito;
									 
									 $valorprecio=$precio*$cantidad;
									 $valoriva=$iva*$cantidad;
									 $preciototalventa=$valorprecio+$valoriva;
									 
									 if($tipopago=='EF')
									   {$npago="Efectivo";
										$sumaef=$sumaef+$preciototalventa;
									   }							
									 if($tipopago=='CR')
									   {$npago="Credito";
										$sumacr=$sumacr+$credito;
									   }
									   
									 
									  if($estadov<>"I")
										 {
										   $sumat=$sumat+$preciototalventa;
										   $sumapu=$sumapu+$ventapro;
										   $nestado="Facturado";
										 }
										
										if($estadov=="I")
										 {
										   $sumaI=$sumaI+$total;
										   $nestado="Anulado";
										 }   
								
									$c++;
									
									
									
							} //04
							  echo "<tr >";
									  echo "																					
									  <td ><div align='right'>$nlinea</div></td>
									  <td ><div align='right'>$ngrupo</div></td>
									  <td ><div align='right'><font size='4'><strong>".number_format($sumapu)."</strong></font></div></td>									 
									  <td ><div align='right'><font size='4'><strong>".number_format($sumat)."</strong></font></div></td>									  								 
									</tr>";
									
							$sumag=$sumag+$sumat;	
							$sumaput=$sumaput+$sumapu;
							$sumat=0;	
							$sumapu=0;
								
					}//01				
							 $rs_credito=mysqli_query($conexion,"SELECT sum(valor) FROM credito where fecsis between '".$fecsis."' and '".$fecsis."'");							 
							 while($datosrs= mysqli_fetch_row($rs_credito)){ $totalcredito=$datosrs[0];}
							 
							 $totalefectivo=$sumag-$totalcredito;								 
							 $ganacias=$sumag-$sumaput;
							 
							 //verificamos descuentos
							 $rs_descuentos=mysqli_query($conexion,"SELECT sum(descuento) FROM venta_descuento 
							 										where fecha between '".$fecsis."' and '".$fecsis."'");							 
							 while($datosrs= mysqli_fetch_row($rs_descuentos)){ $descuentos=$datosrs[0];}



							 //sacamos todos los abonos de creditos
							 $sqlfechaaobono=" and fecsis between '".$fecsis."' and '".$fecsis."'";
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM venta_credito 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $TOTALABONOS=$datosrs[0];}

							//sacamos los pagos a proveedores
							 $sqlfechaaobono=" and fecsis between '".$fecsis."' and '".$fecsis."'";
							 $rs_abonos=mysqli_query($conexion,"SELECT sum(valor) FROM inventario_proveedor_pagos 
							 										where id>0
																	$sqlfechaaobono");							 
							 while($datosrs= mysqli_fetch_row($rs_abonos)){ $totalpagos=$datosrs[0];}

							 echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>VENTA TOTAL</div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumaput)."</strong></font></div></td>
									  <td bgcolor='#00CC66'><div align='right'><font size='5'><strong>".number_format($sumag)."</strong></font></div></td>
									 
									</tr>";
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>GANACIAS TOTAL DE VENTAS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($ganacias)."</strong></font></div></td>
									 							  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>EFECTIVO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalefectivo)."</strong></font></div></td>
									  								  
									</tr>";		
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>CREDITO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalcredito)."</strong></font></div></td>
									 								  
									</tr>";	
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>DESCUENTOS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($descuentos)."</strong></font></div></td>
									  								  
									</tr>";								
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL ANULADOS</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($sumaI)."</strong></font></div></td>
									  							  
									</tr>";		
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL ABONOS CREDITO</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($TOTALABONOS)."</strong></font></div></td>
									  								  
									</tr>";			
									
							echo "<tr >";
									  echo "																					
									  <td colspan=2><div align='right'>TOTAL PAGOS PROVEEDORES</div></td>
									  <td colspan='2' bgcolor='#00CC66'><div align='center'><font size='5'><strong>".number_format($totalpagos)."</strong></font></div></td>
									 								  
									</tr>";						
									

				 echo "</table></center>";
		  
} 
						  
						   ?> 
                           
                           
                      </div></td>
                   
                  </table>
                    
</TD>
                </TR>
            </TBODY>
            </TABLE>
 </div>
</div>  
 
  
</form>
<div id="resultado"></div>
</body>
</html>
